Get Channel Docs
curl --request GET \
--url https://api.reportify.cn/v1/channels/followings/docs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reportify.cn/v1/channels/followings/docs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reportify.cn/v1/channels/followings/docs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_count": 0,
"total_page": 0,
"page_num": 1,
"page_size": 10,
"docs": [
{
"doc_id": "<string>",
"title": "<string>",
"url": "<string>",
"institution": "<string>",
"author": "<string>",
"published_at": 123,
"ticker": "<string>",
"symbol": "<string>",
"company_name": "<string>",
"logo": "<string>",
"companies": [
{
"name": "<string>",
"logo": "<string>",
"stocks": [
{
"symbol": "<string>",
"market": "<string>",
"code": "<string>"
}
]
}
],
"tags": {},
"metadatas": {},
"report_type": 123,
"channel_id": "<string>",
"channel_name": "<string>",
"summary": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}账号关注
Channel Followings Docs
Get documents from followed channels
GET
/
v1
/
channels
/
followings
/
docs
Get Channel Docs
获取用户关注的账号的文档列表
URL:/v1/channels/{channel_id}/followings/docs方法:
GET描述: 关注账号文档列表
请求参数
| 参数名 | 类型 | 描述 |
|---|---|---|
| channel_id | str | 账号唯一 ID。 |
| page_num | int | 当前页码,默认值为 1。 |
| page_size | int | 每页条目数,默认值为 10。 |
响应参数
| 参数名 | 类型 | 描述 |
|---|---|---|
| page_num | int | 当前页码。 |
| page_size | int | 每页条目数。 |
| total_page | int | 总页数。 |
| total_count | int | 总条目数。 |
| docs | array | 文档数组,每个文档包含以下字段: |
| id | str | 文档唯一 ID。 |
| title | str | 文档标题。 |
| url | str | 文档网页链接。 |
| institution | str | 发布机构。 |
| author | str | 作者。 |
| published_at | str | 发布时间,格式为 YYYY-MM-DDTHH:MM:SS.000Z。 |
| category | str | 文档类别(financials, transcripts, reports, global_research, filings, news, socials, files)。 |
| market | str | 市场区域(cn, hk, us)。 |
| symbol | str | 股票代码。 |
| company_name | str | 公司名称。 |
| summary | str | 文档摘要。暂未支持 |
| tags | dict | 标签数组。 |
| key | str | 标签类型(如 industry, company, person, event)。 |
| value | array | 标签内容数组。 |
| metadatas | dict | 元数据数组,包含以下字段: |
| key | str | 元数据类型(如 periods, entities)。 |
| value | array | 元数据内容数组。 |
| channel_id | str | 账号唯一 ID。 |
| channel_name | str | 账号名称。 |
Authorizations
Enter your Bearer token
⌘I
